metrics
Create metrics query
Requires scopes: eval:read
POST
/
api
/
metrics
/
query
Create metrics query
curl --request POST \
--url https://evalgate.com/api/metrics/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricDefinitionId": "<string>",
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": true
}
],
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"bypassCache": false
}
'import requests
url = "https://evalgate.com/api/metrics/query"
payload = {
"metricDefinitionId": "<string>",
"filters": [
{
"operator": "exists",
"field": "<string>",
"value": True
}
],
"window": {
"type": "relative",
"lookbackSeconds": 123,
"timezone": "<string>"
},
"bypassCache": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metricDefinitionId: '<string>',
filters: [{operator: 'exists', field: '<string>', value: true}],
window: {type: 'relative', lookbackSeconds: 123, timezone: '<string>'},
bypassCache: false
})
};
fetch('https://evalgate.com/api/metrics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cacheId": "<string>",
"cached": true,
"definitionId": "<string>",
"definitionHash": "<string>",
"window": {
"from": "<string>",
"to": "<string>",
"timezone": "<string>"
},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
},
"series": [
{
"key": "<string>",
"bucket": "<string>",
"group": {},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
}
}
],
"evidence": {
"ids": [
"<string>"
],
"total": 123,
"truncated": true
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create metrics query
